Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List contacts

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/contacts
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Query parameters
limitinteger
min 1 · max 500 · default: 100
offsetinteger
min 0 · max 9007199254740991 · default: 0
statusstring
Allowed:leadqualifiedcustomer
updatedSincestring<date-time>
Responses
200

OK

dataobject[]required
Show properties
Array of object
idstringrequired
statusstringrequired
Allowed:leadqualifiedcustomer
assignedTostring | nullrequired
Show properties
Any of:
string
string
null
null
fieldsobjectrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
lastActivityAtstring<date-time>required
hasMorebooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.bauhow.com/api/v1/contacts' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "status": "lead",
      "assignedTo": "string",
      "fields": {
        "property1": null,
        "property2": null
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "lastActivityAt": "2019-08-24T14:15:22Z"
    }
  ],
  "hasMore": true
}

Was this page helpful?